# Class JavaSourcesSubjectFactory

java.lang.Object
com.google.testing.compile.JavaSourcesSubjectFactory

All Implemented Interfaces:
  `com.google.common.truth.Subject.Factory<JavaSourcesSubject, Iterable<? extends JavaFileObject>>`

public final class JavaSourcesSubjectFactory extends Object implements com.google.common.truth.Subject.Factory<JavaSourcesSubject, Iterable<? extends JavaFileObject>>
A Truth `Subject.Factory` for creating `JavaSourcesSubject` instances.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`JavaSourcesSubject`
`createSubject(com.google.common.truth.FailureMetadata failureMetadata, @Nullable Iterable<? extends JavaFileObject> subject)`
`static JavaSourcesSubjectFactory`
`javaSources()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### javaSources

public static JavaSourcesSubjectFactory javaSources()

### createSubject

public JavaSourcesSubject createSubject(com.google.common.truth.FailureMetadata failureMetadata, @Nullable Iterable<? extends JavaFileObject> subject)

Specified by:
  `createSubject` in interface `com.google.common.truth.Subject.Factory<JavaSourcesSubject, Iterable<? extends JavaFileObject>>`